From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/confuse/
Date: Thu, 12 Sep 2019 10:05:13 +0000 (UTC) [thread overview]
Message-ID: <1568282649.e13ecfddda536fbbe4b127a60c496eea7cbcfae6.soap@gentoo> (raw)
commit: e13ecfddda536fbbe4b127a60c496eea7cbcfae6
Author: Bernardo Meurer <bernardo <AT> standard <DOT> ai>
AuthorDate: Thu Sep 12 10:04:09 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Sep 12 10:04:09 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e13ecfdd
dev-python/confuse: new package (1.0.0)
Confuse is a configuration library for Python that uses YAML.
Closes: https://bugs.gentoo.org/693178
Closes: https://github.com/gentoo/gentoo/pull/12828
Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: Bernardo Meurer <bernardo <AT> standard.ai>
Signed-off-by: David Seifert <soap <AT> gentoo.org>
dev-python/confuse/Manifest | 1 +
dev-python/confuse/confuse-1.0.0.ebuild | 42 +++++++++++++++++++++++++++++++++
dev-python/confuse/metadata.xml | 20 ++++++++++++++++
3 files changed, 63 insertions(+)
diff --git a/dev-python/confuse/Manifest b/dev-python/confuse/Manifest
new file mode 100644
index 00000000000..d53a447c06e
--- /dev/null
+++ b/dev-python/confuse/Manifest
@@ -0,0 +1 @@
+DIST confuse-1.0.0.tar.gz 34790 BLAKE2B efa23f59e6d450160af279042ed3d77b3b26bd1fe2fffd90b0ce1c87821b5540048b45644bfff1a8420007cf2a705d388965daa20034bb8f846085dd92b49186 SHA512 f436a400b9b84db1a20409c70d64fdde44903ffba6c3618917fd297e04ecf3dda806e315972f7cf1f786c93639b10b0652a622a579a2cfa47703386a43433c8d
diff --git a/dev-python/confuse/confuse-1.0.0.ebuild b/dev-python/confuse/confuse-1.0.0.ebuild
new file mode 100644
index 00000000000..716e4d49263
--- /dev/null
+++ b/dev-python/confuse/confuse-1.0.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Confuse is a configuration library for Python that uses YAML"
+HOMEPAGE="https://github.com/beetbox/confuse"
+SRC_URI="https://github.com/beetbox/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx )
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+DEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+python_compile_all() {
+ if use doc; then
+ emake -C docs html
+ rm -r docs/_build/html/_sources || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
+}
+
+python_test() {
+ nosetests -v || die "Tests failed"
+ if use doc; then
+ sphinx-build -W -q -b html docs __doctest || die "Doc tests failed"
+ fi
+}
diff --git a/dev-python/confuse/metadata.xml b/dev-python/confuse/metadata.xml
new file mode 100644
index 00000000000..b32d7cb6cb7
--- /dev/null
+++ b/dev-python/confuse/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>bernardo@standard.ai</email>
+ <name>Bernardo Meurer</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Gentoo Proxy Maintainers Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ Confuse is a configuration library for Python that uses YAML. It takes
+ care of defaults, overrides, type checking, command-line integration,
+ human-readable errors, and standard OS-specific locations.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">beetbox/confuse</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2019-09-12 10:05 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-09-12 10:05 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-11-25 8:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/confuse/ Joonas Niilola
2021-06-29 6:05 Michał Górny
2021-06-29 6:05 Michał Górny
2021-09-29 7:17 Michał Górny
2021-10-17 7:41 Michał Górny
2021-11-27 21:18 Michał Górny
2022-01-26 21:53 Michał Górny
2022-05-16 13:17 Michał Górny
2022-06-22 13:22 Agostino Sarubbo
2022-07-15 18:45 Arthur Zamarin
2022-07-17 7:22 Michał Górny
2022-08-18 5:22 Joonas Niilola
2022-08-18 9:35 Michał Górny
2023-04-02 2:55 Michał Górny
2023-05-03 6:33 Arthur Zamarin
2023-05-03 7:57 Michał Górny
2023-06-06 17:39 Arthur Zamarin
2024-06-17 13:40 Petr Vaněk
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1568282649.e13ecfddda536fbbe4b127a60c496eea7cbcfae6.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox